function [x,err] = mgase(A,b, Nmax, tol)
% Gauss-Seidel con número máximo de iteraciones
% y tolerancia (= aprox. del error relativo)

n = size(A,1);
x = zeros(n,1);

for k = 1:Nmax
    x_old = x;
    for ii = 1:n
        x(ii) = (b(ii) - A(ii, 1:ii-1)*x(1:ii-1) - A(ii, ii+1:n)*x(ii+1:n) )/A(ii,ii);
    end
    err = norm(x-x_old)/norm(x_old+eps);
    if err < tol
        return
    end
end

end

