function [x,err] = mjac(A,b, Nmax, tol)
% Jacobi con número máximo de iteraciones
% y tolerancia (= aprox. del error relativo)

n = size(A,1);
Ap = A - diag(diag(A));
Dinv = diag(A).^-1;

% Valor inicial
x = zeros(n,1);

% Iteraciones del método de Jacobi
for k = 1:Nmax
    x_old = x;
    x = Dinv .* (b - Ap*x);
    err = norm(x-x_old)/norm(x_old+eps);
    if err < tol
        return
    end
end
end

